SignSecure Sign PadSignSecure Sign Pad
Templates

Get Template by ID

Retrieve a specific template by its ID.

GET
/templates/{templateId}

Retrieve a specific template by its ID.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

templateId*string

The template ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.signpad.signsecure.in/api/v1/templates/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "fileName": "string",
  "fileSize": 0,
  "status": "active",
  "recipients": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "phone": "string",
      "role": "signer",
      "order": 0,
      "status": "pending",
      "signatureMethod": "electronic"
    }
  ],
  "workflow": {
    "mode": "sequential",
    "verificationMethod": "link_only",
    "message": "string",
    "redirectUrl": "https://app.example.com/signing-complete",
    "emailNotifications": "all",
    "whatsappNotifications": "all",
    "estampEnabled": true,
    "estampConfig": {
      "state": "CH",
      "article": "string",
      "amount": "string",
      "considerationAmount": "string",
      "payee": "first-party",
      "hardcopy": "y",
      "firstParty": {
        "name": "string",
        "email": "user@example.com",
        "mobile": "string",
        "address": "string"
      },
      "secondParty": {
        "name": "string",
        "email": "user@example.com",
        "mobile": "string",
        "address": "string"
      },
      "shipping": {
        "name": "string",
        "address": "string",
        "city": "string",
        "state": "string",
        "pincode": "string",
        "mobile": "string"
      }
    }
  },
  "usageCount": 0,
  "lastUsedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Template not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}